Commit 61b8506921 for openssl.org

commit 61b8506921860deee7031d960c1f992fec642514
Author: Ondrej Moris <omoris@redhat.com>
Date:   Tue Jul 14 17:16:10 2026 +0200

    tests: reduce pkcs11-provider log test to failures

    If pkcs11-provider external test fails, only output of failed tests
    is printed.

    Signed-off-by: Ondrej Moris <omoris@redhat.com>

    Reviewed-by: Dmitry Belyavskiy <beldmit@gmail.com>
    Reviewed-by: Igor Ustinov <igus@openssl.foundation>
    MergeDate: Mon Jul 20 06:29:41 2026
    (Merged from https://github.com/openssl/openssl/pull/31947)

diff --git a/test/recipes/95-test_external_pkcs11_provider_data/pkcs11-provider.sh b/test/recipes/95-test_external_pkcs11_provider_data/pkcs11-provider.sh
index 1b49ca933f..f75f1260a0 100755
--- a/test/recipes/95-test_external_pkcs11_provider_data/pkcs11-provider.sh
+++ b/test/recipes/95-test_external_pkcs11_provider_data/pkcs11-provider.sh
@@ -85,13 +85,10 @@ echo "Running tests"
 echo "------------------------------------------------------------------"

 # For maintenance reasons and simplicity we only run test with kryoptic token
-meson test -C $PKCS11_PROVIDER_BUILDDIR --suite=kryoptic
+meson test -C $PKCS11_PROVIDER_BUILDDIR --print-errorlogs --suite=kryoptic

-if [ $? -ne 0 ]; then
-    cat $PKCS11_PROVIDER_BUILDDIR/meson-logs/testlog.txt
-    exit 1
-fi
+RESULT=$?

 rm -rf $PKCS11_PROVIDER_BUILDDIR

-exit 0
+exit $RESULT